package com.massa.util.extensions.nativeproperty;

import com.massa.util.MessageCode;
import com.massa.util.MessageCode.MessageCodeFromField;
import com.massa.util.UtilsException;

/**
 * All message codes for Native Properties extension.
 */
public final class Messages {

	public static final MessageCode ADD_NATIVE_COMPILATION_FAILED = new MessageCodeFromField();


	static {
		try {
			MessageCode.initMessages(Messages.class, "com/massa/util/extensions/nativeproperty/MessageCode", "massa.extensions.nativeproperty");
		} catch (final UtilsException e) {
			throw new ExceptionInInitializerError(e);
		}
	}

	private Messages() {
	}
}