package com.massa.util.extensions.nativeproperty.compiler;

import java.net.URI;

import javax.tools.SimpleJavaFileObject;

/**
 * Represents source code.
 */
public class SourceCode extends SimpleJavaFileObject {
	private String contents = null;

	public SourceCode(final String className, final String contents) {
		super(URI.create("string:///" + className.replace('.', '/') + Kind.SOURCE.extension), Kind.SOURCE);
		this.contents = contents;
	}

	@Override
	public CharSequence getCharContent(final boolean ignoreEncodingErrors) {
		return this.contents;
	}
}
