package com.massa.util.extensions.nativeproperty.compiler;

import org.junit.Assert;
import org.junit.Test;

import com.massa.util.extensions.nativeproperty.compiler.InMemoryJavaCompiler;

/**
 * Created by trung on 5/3/15.
 */
public class InMemoryJavaCompilerTest {

	@Test
	public void compile_whenTypical() throws Exception {
		final StringBuffer sourceCode = new StringBuffer();

		sourceCode.append("package com.massa.util.extensions.nativeproperty.compiler;\n");
		sourceCode.append("public class HelloClass {\n");
		sourceCode.append("   public String hello() { return \"hello\"; }");
		sourceCode.append("}");

		final Class<?> helloClass = InMemoryJavaCompiler.compile("com.massa.util.extensions.nativeproperty.compiler.HelloClass", sourceCode.toString(), null);
		Assert.assertNotNull(helloClass);
		Assert.assertEquals(1, helloClass.getDeclaredMethods().length);
	}
}
